import { App } from "vue";
import { BasicForm } from "/@/components/BasicForm";
import { PageAuth } from "/@/components/PageAuth";
import { PageContainer } from "/@/components/PageContainer";
import OrderRelation from "/@/components/OrderRelation";
import OrderRelationApproval from "/@/components/OrderRelationApproval";


export function setupPageComponent(app: App) {
  // 页面容器 
  app.component("PageContainer", PageContainer);
  
  // 基础表单
  app.component("BasicForm", BasicForm);
  
  // 鉴权
  app.component("PageAuth", PageAuth);

  app.component("OrderRelation", OrderRelation);
  app.component("OrderRelationApproval", OrderRelationApproval);
}
